<!-- <div class="Layout">

  <div class="AppBar" >
     Hamburger
    <span *ngIf= "showBackButton" class="sidebar-toggle" (click)="goToLogin()"> 
      <h1 class="k-icon k-i-arrow-chevron-left"></h1>
  </span> 
    <div>
      <h1 class="AppBar__title">{{ getAppBarTitle() }}</h1>
    </div>
 </div>
  
  <main class="AppMain" [ngClass]="{ 'is-login-view': isLoginView() }">
    <router-outlet></router-outlet>
    <div kendoDialogContainer></div>
  </main>

</div>

-------------------------------------------------------------

<div class="Layout">
  <div class="AppBar" [ngClass]="{ 'is-login-view': isLoginView() }">
    <div>
      <h1 class="AppBar__title">{{ appName }}</h1>
    </div>
    <div class="AppBar__nav">
      Notifications (Remove if not required) 
      <app-notifications-menu
        
        [notifications]="notifications"
        [(currentMenu)]="currentFocusedMenu"
        [onNotificationClick]="onNotificationClick"
      ></app-notifications-menu>
       Profile
      <app-profile-menu [user]="user" [(currentMenu)]="currentFocusedMenu">
         Add additional actions below. Route to your pages. 
        <kendo-card-actions orientation="horizontal" layout="stretched">
         Change user role/password/email etc. 
          <button kendoButton look="flat" [routerLink]="'/settings'">
            User Settings
          </button>
        </kendo-card-actions>
        <kendo-card-actions orientation="horizontal" layout="stretched">
           MCT/DIS will handle auth. 
          <button kendoButton look="flat" (click)="logout()">
            Logout
          </button>
        </kendo-card-actions>
      </app-profile-menu>
    </div>
  </div>
  <app-sidebar></app-sidebar>
  <main class="AppMain" [ngClass]="{ 'is-login-view': isLoginView() }">
    <router-outlet></router-outlet>
  </main>
</div>

-------------------------------------------------------------------

-->

<div class="Layout" [ngClass]="{'show-menu': !isMenuCollapsed }" *ngIf="dataReady">
  <div class="AppBar" [ngClass]="{ 'is-login-view': isLoginView()}">
    <!-- Hamburger -->
    <!-- <span class="sidebar-toggle" (click)="menuToggle();" *ngIf="!isLoginView()"> -->
    <span class="sidebar-toggle" (click)="menuToggle();">
      <kendo-icon [name]="'hamburger'"
      ></kendo-icon>
  </span>
    <div>
      <h1 class="AppBar__title">{{ appName }}</h1>
    </div>
    <div class="AppBar__nav">
      <!-- Translation Panel -->

      <!-- <kendo-dropdownlist *ngIf="isSelectionEnabled" [data]="languages"  textField="text" (valueChange)="languageChange($event)"
                          valueField="value" [(ngModel)]="languageSelected">
      </kendo-dropdownlist> -->

      <!-- Notifications (Remove if not required) -->
      <!-- <app-notifications-menu
        *ngIf="isNotificationEnabled && isLoggedIn$ | async"
        [notifications]="notifications"
        [(currentMenu)]="currentFocusedMenu"
        [onNotificationClick]="onNotificationClick"
      ></app-notifications-menu> -->
      <!-- Profile -->
      <app-profile-menu [user]="user" [(currentMenu)]="currentFocusedMenu">
        <!-- Add additional actions below. Route to your pages. -->
        <kendo-card-actions orientation="vertical" class="align-items-center py-2" layout="stretched">
          <span>Dark Mode</span>
          <kendo-switch [(ngModel)]="isDarkMode"  (valueChange)="onThemeChange($event)"></kendo-switch>
        </kendo-card-actions>
        <!-- Add additional actions below. Route to your pages. -->
        <!-- <kendo-card-actions orientation="horizontal" layout="stretched">
          <button kendoButton look="flat" [routerLink]="'/settings'">
            User Settings
          </button>
        </kendo-card-actions> -->
        <kendo-card-actions orientation="horizontal" layout="stretched">
          <!-- MCT/DIS will handle auth. -->
          <button kendoButton look="flat" (click)="logout()">
            Logout
          </button>
        </kendo-card-actions>
      </app-profile-menu>
    </div>
  </div>
  <app-sidebar></app-sidebar>
  <main class="AppMain" [ngClass]="{ 'is-login-view': isLoginView() }">
    <router-outlet></router-outlet>
    <div kendoDialogContainer></div>
  </main>
</div>


